# Record Class CSEventCertificateValidityRemaining

java.lang.Object
java.lang.Record
com.io7m.certusine.vanilla.internal.events.CSEventCertificateValidityRemaining

Record Components:
  `domain` - The domain
  `certificateName` - The certificate name
  `seconds` - The seconds remaining

All Implemented Interfaces:
  `CSEventType`

public record CSEventCertificateValidityRemaining(String domain, CSCertificateName certificateName, long seconds) extends Record implements CSEventType
The certificate expires in the given number of seconds.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CSEventCertificateValidityRemaining(String domain, CSCertificateName certificateName, long seconds)`
  The certificate expires in the given number of seconds.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,String>`
  `attributes()`
  `CSCertificateName`
  `certificateName()`
  Returns the value of the `certificateName` record component.
  `String`
  `domain()`
  Returns the value of the `domain` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `boolean`
  `isFailure()`
  `boolean`
  `isLogged()`
  `String`
  `message()`
  `long`
  `seconds()`
  Returns the value of the `seconds` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CSEventCertificateValidityRemaining

    public CSEventCertificateValidityRemaining(String domain, CSCertificateName certificateName, long seconds)
    The certificate expires in the given number of seconds.
    Parameters:
      `domain` - The domain
      `certificateName` - The certificate name
      `seconds` - The seconds remaining

- ## Method Details

  - ### message

    public String message()
    Specified by:
      `message` in interface `CSEventType`
    Returns:
      The event message

  - ### isFailure

    public boolean isFailure()
    Specified by:
      `isFailure` in interface `CSEventType`
    Returns:
      `true` if the event indicates that an operation failed

  - ### isLogged

    public boolean isLogged()
    Specified by:
      `isLogged` in interface `CSEventType`
    Returns:
      `true` if the event should be logged

  - ### attributes

    public Map<String,String> attributes()
    Specified by:
      `attributes` in interface `CSEventType`
    Returns:
      The event attributes for logging purposes

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### domain

    public String domain()
    Returns the value of the `domain` record component.
    Returns:
      the value of the `domain` record component

  - ### certificateName

    public CSCertificateName certificateName()
    Returns the value of the `certificateName` record component.
    Returns:
      the value of the `certificateName` record component

  - ### seconds

    public long seconds()
    Returns the value of the `seconds` record component.
    Returns:
      the value of the `seconds` record component